Package it.ernytech.tdlib

## Class TdApi.NotificationSettingsScope

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.NotificationSettingsScope

Direct Known Subclasses:
  `TdApi.NotificationSettingsScopeAllChats`, `TdApi.NotificationSettingsScopeBasicGroupChats`, `TdApi.NotificationSettingsScopeChat`, `TdApi.NotificationSettingsScopePrivateChats`

Enclosing class:
  TdApi

    public abstract static class TdApi.NotificationSettingsScope
    extends TdApi.Object

This class is an abstract base class. Describes the types of chats for which notification settings are applied.

### Constructor Summary

Constructors
`NotificationSettingsScope()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### NotificationSettingsScope

    public NotificationSettingsScope()